Skip to main content
Platform O&M/Tag Operations

AttachTagToResources

AttachTagToResources

POST/zstack/v1/tags/{tagUuid}/resources

Operation ID

AttachTagToResources

Since

3.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • tagUuid
    StringRequired

    The tag UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • resourceUuids
      ListRequired

      The resource UUID list.

    • tokens
      Map

      Optional. The key and the value stored by the tag.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • results
    ListRequired

    See results.

    • success
      booleanRequired

      Whether the operation succeeded.

    • error
      ErrorCodeRequired

      See error.

      • code
        StringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • description
        StringRequired

        The brief description of the error.

      • details
        StringRequired

        The details about the error.

      • elaboration
        StringRequired

        The reserved field. Default value: null.

      • opaque
        LinkedHashMapRequired

        The reserved field. Default value: null.

      • cause
        ErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • inventory
      UserTagInventoryRequired

      See inventory.

      • tagPatternUuid
        StringRequired

        The tag pattern UUID.

      • uuid
        StringRequired

        The resource UUID.

      • resourceUuid
        StringRequired

        The resource UUID.

      • resourceType
        StringRequired

        The resource type.

      • tag
        StringRequired

        The tag.

      • type
        StringRequired

        The resource type.

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The ordinal number.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • tagPattern
        TagPatternInventoryRequired

        See tagPattern.

        • uuid
          StringRequired

          The resource UUID.

        • name
          StringRequired

          The resource name.

        • value
          StringRequired

          The field value.

        • description
          StringRequired

          The detailed description of the resource.

        • color
          StringRequired

          The color.

        • createDate
          TimestampRequired

          The creation date.

        • lastOpDate
          TimestampRequired

          The last operation date.

        • type
          TagPatternTypeRequired

          See type.

          • name
            StringRequired

            The resource name.

          • ordinal
            intRequired

            The ordinal number.